# Class UTCdate

java.lang.Object
uk.ac.starlink.pal.UTCdate

public class UTCdate extends Object
UTC Date

## Constructor Summary

Constructors
Constructor
Description
`UTCdate(double date)`
UTC Date
`UTCdate(double date, double derivative)`
UTC Date

## Method Summary

Modifier and Type
Method
Description
`double`
`getDate()`
UTC Date
`double`
`getDeriv()`
UTC Date
`String`
`toString()`
Get String representation

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UTCdate

public UTCdate(double date, double derivative)
UTC Date

### UTCdate

public UTCdate(double date)
UTC Date

## Method Details

### getDate

public double getDate()
UTC Date

### getDeriv

public double getDeriv()
UTC Date

### toString

public String toString()
Get String representation

Overrides:
  `toString` in class `Object`